org.apache.ignite.internal.pagemem.wal.record.delta

## Class PagesListInitNewPageRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord
      - - org.apache.ignite.internal.pagemem.wal.record.delta.PagesListInitNewPageRecord

    public class PagesListInitNewPageRecord
    extends InitNewPageRecord

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord

`ioType, ioVer, newPageId`

### Constructor Summary

Constructors
Constructor and Description
`PagesListInitNewPageRecord(int grpId, long pageId, int ioType, int ioVer, long newPageId, long prevPageId, long addDataPageId)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`long` `dataPageId()`
`long` `previousPageId()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.InitNewPageRecord

`ioType, ioVersion, newPageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PagesListInitNewPageRecord

    public PagesListInitNewPageRecord(int grpId,
                              long pageId,
                              int ioType,
                              int ioVer,
                              long newPageId,
                              long prevPageId,
                              long addDataPageId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `prevPageId` - Previous page ID.
  `addDataPageId` - Optional page ID to add.

### Method Detail

#### previousPageId

    public long previousPageId()

Returns:
  Previous page ID.

#### dataPageId

    public long dataPageId()

Returns:
  Page ID to add.

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Overrides:
  `applyDelta` in class `InitNewPageRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Overrides:
  `type` in class `InitNewPageRecord`
Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `InitNewPageRecord`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017